%define anolis_release 1

%global srcname pyrad

Name:           python-pyrad
Version:        2.4
Release:        %{anolis_release}%{?dist}
Summary:        Python RADIUS client
License:        BSD
URL:            https://github.com/wichert/pyrad
Source0:        %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

%description
pyrad is an implementation of a RADIUS client as described in RFC2865. It takes
care of all the details like building RADIUS packets, sending them and decoding
responses.

%package -n python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}
BuildRequires:  python3-devel
BuildRequires:  python3-netaddr
BuildRequires:  python3-setuptools
BuildRequires:  python3-six
BuildRequires:  python3-sphinx
Requires:       python3-netaddr
Requires:       python3-six
Requires:       python3-twisted

%description -n python3-%{srcname}
pyrad is an implementation of a RADIUS client as described in RFC2865. It takes
care of all the details like building RADIUS packets, sending them and decoding
responses.

%prep
%autosetup -n %{srcname}-%{version} -p1
# Fedora-specific - to avoid picking up dependencies from these files
chmod 644 example/acct.py example/auth.py example/server.py

%build
%py3_build

sphinx-build-3 -b html docs/source docs/_build/html/ -d docs/_build/doctrees/

%install
%py3_install
rm -f docs/_build/html/.buildinfo

%check
%{__python3} -m unittest -v

%files -n python3-%{srcname}
%license LICENSE.txt
%{python3_sitelib}/%{srcname}-*.egg-info/
%{python3_sitelib}/%{srcname}/

%changelog
* Sat May 06 2023 Funda Wang <fundawang@yeah.net> - 2.4-1
- Import package for anolis 23
